﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default4.aspx.cs" Inherits="Default4" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
    </telerik:RadScriptManager>
    <telerik:RadCodeBlock ID="RadCodeBlock1" runat="server">
        <script type="text/javascript">
            function FilterCreated(sender, eventArgs) {
                var filterMenu = sender.get_contextMenu();
                filterMenu.add_showing(FilterMenuShowing);
            }
            function FilterMenuShowing(sender, eventArgs) {
                var filter = $find("<%= RadFilter1.ClientID %>");
                var currentExpandedItem = sender.get_attributes()._data.ItemHierarchyIndex;
                if (filter._expressionItems[currentExpandedItem] == "ContactTitle") {
                    sender.findItemByValue("IsNull").set_visible(false);
                    sender.findItemByValue("NotIsNull").set_visible(false);
                    sender.findItemByValue("Contains").set_visible(false);
                }
                if (filter._expressionItems[currentExpandedItem] == "Country") {
                    sender.findItemByValue("GreaterThan").set_visible(false);
                    sender.findItemByValue("LessThan").set_visible(false);
                }
            }
        </script>
    </telerik:RadCodeBlock>
    <asp:UpdatePanel ID="UpdatePael1" runat="server">
        <ContentTemplate>
            <telerik:RadFilter ID="RadFilter1" runat="server" OnApplyExpressions="RadFilter1_ApplyExpressions">
                <FieldEditors>
                    <telerik:RadFilterTextFieldEditor FieldName="ContactTitle" DisplayName="Contact Title"
                        DataType="System.String" />
                    <telerik:RadFilterTextFieldEditor FieldName="Country" DisplayName="Country" DataType="System.String" />
                </FieldEditors>
                <ClientSettings>
                    <ClientEvents OnFilterCreated="FilterCreated" />
                </ClientSettings>
            </telerik:RadFilter>
            <telerik:RadGrid ID="RadGrid1" runat="server" AllowFilteringByColumn="True" AllowPaging="True"
                EnableLinqExpressions="false" AllowSorting="True" DataSourceID="AccessDataSource1"
                GridLines="None">
                <MasterTableView AutoGenerateColumns="False" DataKeyNames="CustomerID" DataSourceID="AccessDataSource1">
                    <Columns>
                        <telerik:GridBoundColumn DataField="CustomerID" HeaderText="CustomerID" ReadOnly="True"
                            SortExpression="CustomerID" UniqueName="CustomerID">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="CompanyName" HeaderText="CompanyName" SortExpression="CompanyName"
                            UniqueName="CompanyName">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="ContactName" HeaderText="ContactName" SortExpression="ContactName"
                            UniqueName="ContactName">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="ContactTitle" HeaderText="ContactTitle" SortExpression="ContactTitle"
                            UniqueName="ContactTitle">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="Country" HeaderText="Country" SortExpression="Country"
                            UniqueName="Country">
                        </telerik:GridBoundColumn>
                    </Columns>
                </MasterTableView>
            </telerik:RadGrid>
        </ContentTemplate>
    </asp:UpdatePanel>
    <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/Nwind.mdb"
        SelectCommand="SELECT [CustomerID], [CompanyName], [ContactName], [ContactTitle], [Country] FROM [Customers]">
    </asp:AccessDataSource>
    </form>
</body>
</html>
